#!/usr/local/bin/perl

#
# show list of installed packages
# Created: 1998-01-27

# Copyright (c) 1998 
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 


use CGI;

$form = new CGI;

$pkgname = $form->param('pkgname');

print $form->header;
print $form->start_html(
  -title=>"Details for package $pkgname",
  -BGCOLOR=>'white');


print "<a href=\"removepackage.pl?pkgname=$pkgname&confirm=yes\">Remove $pkgname</a> |\n";
print "<a href=\"nph-pkg_index.pl\">Add new package</a> |\n";
print "<a href=http://www.de.freebsd.org/de/cgi/man.cgi?query=pkg_remove>Consult pkg_remove man page</a>\n";
print "<br><img src=http:/FreEasy/Icons/bluebar2.gif>\n";

print "<p>";
open(pkg_info, "pkg_info -d $pkgname |");
$Line = <pkg_info>;                     # skip header
$Line = <pkg_info>;                     # skip header
$Line = <pkg_info>;                     # skip header
print "<pre>";
while ($Line = <pkg_info>) {
    #interesting feature to add is to make url's live...
    print "$Line";
}
print "</pre></p>";
close(pkg_info);

print $form->end_html;






