#!/usr/local/bin/perl
#
# Change the scrnmap setting in /etc/rc.conf;
# expects to be  setuid root!
#

# Copyright (c) 1997 
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 




use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use access_rcconf;

#
# make sure we have a secure path
$ENV{PATH} = "/sbin:/usr/sbin:/usr/bin";


$form = new CGI;

#
# extract vars from form
# and change corresponding rc.conf

%vars = ();
%oldvars = ();
$vars{'scrnmap'} = $form->param('scrnmap');

($modified, %oldvars) = rcconf_change_vars(%vars);


#if something changed, set/unset screenmap now
if ($modified) {

    print $form->header;
    print $form->start_html(
       -title=>'Screenmap changed',
       -BGCOLOR=>'white');
    print "<CENTER><H3>Screenmap changed from $oldvars{'scrnmap'} to $vars{'scrnmap'}</H3>\n";

    if ($vars{'scrnmap'} eq "NO") {
	system "/bin/sh", '-c', "/usr/sbin/vidcontrol -L < /dev/ttyv0";
    }
    else {
	system "/bin/sh", '-c', "/usr/sbin/vidcontrol -l $vars{'scrnmap'} < /dev/ttyv0";
    }
    print "<P>Changes have taken effect immediately.\n";

}
else {

  print $form->header;
  print $form->start_html(
      -title=>'Screenmap not changed',
      -BGCOLOR=>'white');
  print "<CENTER><H3>Screenmap not changed.</H3>\n";

}


print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http:/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http:/FreEasy/cgi-bin/setup.pl?path=Console&title=Change+FreeBSD+console+settings\">\n";
print "<IMG SRC=\"/FreEasy/Icons/displaybutton.gif\" ALT=\"Back to ";
print "Console menu\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# changescrnmap.pl
