#!/usr/local/bin/perl
#
# Change the timezone in FreeBSD
# (C) 1997 by Wouter de Boer
#
# Usage:
#    changetimezone.pl
#

#
# CGI script for changetimezone.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the
# Web page for this input field.
#

$Country = $form->param('country');
$Place = $form->param('place');

$HostName = hostname();

#
# Location of files
#

$TimeZonePath = "/usr/share/zoneinfo";
$LocalTimePath = "/etc/localtime";

if (length($Place) > 0) {

  #
  # Print form header
  #

  print $form->header;

  print $form->start_html(
     -title=>'Timezone changed',
     -BGCOLOR=>'white');

  #
  # HTML body
  #

  #
  # Heading
  #

  system ("cp $TimeZonePath/$Country/$Place $LocalTimePath");

  print "<CENTER><H3>Timezone changed to $Country/$Place.\n";

  print "<P>However, daemons will only notice a timezone change after ";
  print "rebooting</H3>\n";

} else {

    #
    # Print form header
    #

    print $form->header;

    print $form->start_html(
       -title=>'Timezone unchanged',
       -BGCOLOR=>'white');

    #
    # HTML body
    #

    #
    # Heading
    #

    print "<CENTER><H1>No Timezone selected.</H1>\n";

    print "<H3>You forgot to select a timezone from the previous screen.</H3>\n";
}

print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http://$HostName/FreEasy/Date-Time/date-time.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/datebutton.gif\" ALT=\"BACK TO ";
print "DATE-TIME MENU\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# changetimezone.pl
