#!/usr/local/bin/perl
#
# Synchronize the time with other PC file for FreeBSB
# (C) 1997 by Wouter de Boer
#
# Usage:
#    synchronize.pl
#

#
# CGI script for synchronize.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returnsysconfigsettings;

$form = new CGI;

#
# Set variables for this progam
#

$AssocArray{'xntpdflags'} = "";
$AssocArray{'ntpdate'} = "";
$Other = 0;

$HostName=hostname();

#
# Obtain needed /etc/sysconfig settings
#

(%AssocArray) = return_sysconfig_settings %AssocArray;

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>'Synchronize Time',
   -BGCOLOR=>'white');

#
# HTML body
#

print "<FORM METHOD=\"GET\" ACTION=\"http://$HostName/FreEasy/Date-Time/synchronized.pl\">\n";

#
# Heading
#

print "<H3>Synchronize your time with another computer:</H3>\n";

print "<CENTER><TABLE>\n";

if (($AssocArray{'ntpdate'} =~ /NO/) && ($AssocArray{'xntpdflags'} =~ /NO/)) {

  print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"synchronize\" VALUE=\"No\"";
  print " CHECKED> No</TD><TD></TD><TD></TD></TR>\n";
} else {

     print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"synchronize\" VALUE=\"No\">";
     print " No</TD><TD></TD></TR>\n";
 }

if ($AssocArray{'ntpdate'} =~ /NO/) {

  $AssocArray{'ntpdate'} = "";
}

if (($AssocArray{'ntpdate'} !~ /NO/) && (length($AssocArray{'ntpdate'}) > 0)) {

    print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"synchronize\" VALUE=\"Yes\"";
    print " CHECKED> Yes</TD>\n";
    print "<TD><SELECT NAME=\"predefinedserver\">\n";

    if ($AssocArray{'ntpdate'} eq "ntp.syd.dms.csiro.au") {

      print "<OPTION VALUE=\"ntp.syd.dms.csiro.au\" SELECTED>Australia ";
      print "ntp.syd.dms.csiro.au (HP 5061 Cesium Beam)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"ntp.syd.dms.csiro.au\">Australia ";
        print "ntp.syd.dms.csiro.au (HP 5061 Cesium Beam)\n";
      }

    if ($AssocArray{'ntpdate'} eq "tick.usask.ca") {

      print "<OPTION VALUE=\"tick.usask.ca\" SELECTED>Canada ";
      print "tick.usask.ca (GOES clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"tick.usask.ca\">Canada ";
        print "tick.usask.ca (GOES clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "canon.inria.fr") {

      print "<OPTION VALUE=\"canon.inria.fr\" SELECTED>France ";
      print "canon.inria.fr (TDF clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"canon.inria.fr\">France ";
        print "canon.inria.fr (TDF clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "ntps1-0.uni-erlangen.de") {

      print "<OPTION VALUE=\"ntps1-0.uni-erlangen.de\" SELECTED>Germany";
      print " ntps1-{0,1,2}.uni-erlangen.de (GPS clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"ntps1-0.uni-erlangen.de\">Germany ";
        print "ntps1-{0,1,2}.uni-erlangen.de (GPS clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "ntps1-0.cs.tu-berlin.de") {

      print "<OPTION VALUE=\"ntps1-0.cs.tu-berlin.de\" SELECTED>Germany";
      print " ntps1-0.cs.tu-berlin.de (GPS clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"ntps1-0.cs.tu-berlin.de\">Germany ";
        print "ntps1-0.cs.tu-berlin.de (GPS clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "clock.nc.fukuoka-u.ac.jp") {

      print "<OPTION VALUE=\"clock.nc.fukuoka-u.ac.jp\" SELECTED>Japan ";
      print " clock.nc.fukuoka-u.ac.jp (GPS clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"clock.nc.fukuoka-u.ac.jp\">Japan ";
        print "clock.nc.fukuoka-u.ac.jp (GPS clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "clock.tl.fukuoka-u.ac.jp") {

      print "<OPTION VALUE=\"clock.tl.fukuoka-u.ac.jp\" SELECTED>Japan ";
      print "clock.tl.fukuoka-u.ac.jp (GPS clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"clock.tl.fukuoka-u.ac.jp\">Japan ";
        print "clock.tl.fukuoka-u.ac.jp (GPS clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "ntp0.nl.net") {

      print "<OPTION VALUE=\"ntp0.nl.net\" SELECTED>Netherlands ";
      print "ntp0.nl.net (GPS clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"ntp0.nl.net\">Netherlands ";
        print "ntp0.nl.net (GPS clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "timer.unik.no") {

      print "<OPTION VALUE=\"timer.unik.no\" SELECTED>Norway ";
      print "timer.unik.no (NTP clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"timer.unik.no\">Norway ";
        print "timer.unik.no (NTP clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "Time1.Stupi.SE") {

      print "<OPTION VALUE=\"Time1.Stupi.SE\" SELECTED>Sweden ";
      print "Time1.Stupi.SE (Cesium/GPS)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"Time1.Stupi.SE\">Sweden ";
        print "Time1.Stupi.SE (Cesium/GPS)\n";
      }

    if ($AssocArray{'ntpdate'} eq "swisstime.ethz.ch") {

      print "<OPTION VALUE=\"swisstime.ethz.ch\" SELECTED>Switzerland ";
      print "swisstime.ethz.ch (DCF77 clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"swisstime.ethz.ch\">Switzerland ";
        print "swisstime.ethz.ch (DCF77 clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "bitsy.mit.edu") {

      print "<OPTION VALUE=\"bitsy.mit.edu\" SELECTED>U.S. East Coast ";
      print "bitsy.mit.edu (WWV clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"bitsy.mit.edu\">U.S. East Coast ";
        print "bitsy.mit.edu (WWV clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "otc1.psu.edu") {

      print "<OPTION VALUE=\"otc1.psu.edu\" SELECTED>U.S. East Coast ";
      print "otc1.psu.edu (WWV clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"otc1.psu.edu\">U.S. East Coast ";
        print "otc1.psu.edu (WWV clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "apple.com") {

      print "<OPTION VALUE=\"apple.com\" SELECTED>U.S. West Coast ";
      print "apple.com (WWV clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"apple.com\">U.S. West Coast ";
        print "apple.com (WWV clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "apple.com") {

      print "<OPTION VALUE=\"clepsydra.dec.com\" SELECTED>U.S. West Coast ";
      print "clepsydra.dec.com (GOES clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"clepsydra.dec.com\">U.S. West Coast ";
        print "clepsydra.dec.com (GOES clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "clock.llnl.gov") {

      print "<OPTION VALUE=\"clock.llnl.gov\" SELECTED>U.S. West Coast ";
      print "clock.llnl.gov (WWVB clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"clock.llnl.gov\">U.S. West Coast ";
        print "clock.llnl.gov (WWVB clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "ncar.ucar.edu") {

      print "<OPTION VALUE=\"ncar.ucar.edu\" SELECTED>U.S. Midwest ";
      print "ncar.ucar.edu (WWVB clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"ncar.ucar.edu\">U.S. Midwest ";
        print "ncar.ucar.edu (WWVB clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "chantry.hawaii.net") {

      print "<OPTION VALUE=\"chantry.hawaii.net\" SELECTED>U.S. Pacific ";
      print "chantry.hawaii.net (WWV/H clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"chantry.hawaii.net\">U.S. Pacific ";
        print "chantry.hawaii.net (WWV/H clock)\n";
      }

    if ($AssocArray{'ntpdate'} eq "shorty.chpc.utexas.edu") {

      print "<OPTION VALUE=\"shorty.chpc.utexas.edu\" SELECTED>U.S. Southwest";
      print " shorty.chpc.utexas.edu (WWV clock)\n";
      $Other = 1;
    } else {

        print "<OPTION VALUE=\"shorty.chpc.utexas.edu\">U.S. Southwest ";
        print "shorty.chpc.utexas.edu (WWV clock)\n";
      }

    if ($Other) {

      print "<OPTION VALUE=\"other\">Other, Select a site not on this list\n";
      print "</SELECT></TD>\n";
      print "<TD><INPUT TYPE=\"20\" NAME=\"host\"></TD></TR>\n";
    } else {

	print "<OPTION VALUE=\"other\" SELECTED>Other, Select a site not on ";
	print "this list\n";
	print "</SELECT></TD>\n";
	print "<TD><INPUT TYPE=\"20\" NAME=\"host\"";
	print "VALUE=$AssocArray{'ntpdate'}></TD></TR>\n";
      }

} else {

    print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"synchronize\" VALUE=\"Yes\"";
    print "> Yes</TD>\n";

    print "<TD><SELECT NAME=\"predefinedserver\">\n";

    print "<OPTION VALUE=\"ntp.syd.dms.csiro.au\">Australia ";
    print "ntp.syd.dms.csiro.au (HP 5061 Cesium Beam)\n";
    print "<OPTION VALUE=\"tick.usask.ca\">Canada ";
    print "tick.usask.ca (GOES clock)\n";
    print "<OPTION VALUE=\"canon.inria.fr\">France ";
    print "canon.inria.fr (TDF clock)\n";
    print "<OPTION VALUE=\"ntps1-0.uni-erlangen.de\">Germany ";
    print "ntps1-{0,1,2}.uni-erlangen.de (GPS clock)\n";
    print "<OPTION VALUE=\"ntps1-0.cs.tu-berlin.de\">Germany ";
    print "ntps1-0.cs.tu-berlin.de (GPS clock)\n";
    print "<OPTION VALUE=\"clock.nc.fukuoka-u.ac.jp\">Japan ";
    print "clock.nc.fukuoka-u.ac.jp (GPS clock)\n";
    print "<OPTION VALUE=\"clock.tl.fukuoka-u.ac.jp\">Japan ";
    print "clock.tl.fukuoka-u.ac.jp (GPS clock)\n";
    print "<OPTION VALUE=\"ntp0.nl.net\">Netherlands ";
    print "ntp0.nl.net (GPS clock)\n";
    print "<OPTION VALUE=\"timer.unik.no\">Norway ";
    print "timer.unik.no (NTP clock)\n";
    print "<OPTION VALUE=\"Time1.Stupi.SE\">Sweden ";
    print "Time1.Stupi.SE (Cesium/GPS)\n";
    print "<OPTION VALUE=\"swisstime.ethz.ch\">Switzerland ";
    print "swisstime.ethz.ch (DCF77 clock)\n";
    print "<OPTION VALUE=\"bitsy.mit.edu\">U.S. East Coast ";
    print "bitsy.mit.edu (WWV clock)\n";
    print "<OPTION VALUE=\"otc1.psu.edu\">U.S. East Coast ";
    print "otc1.psu.edu (WWV clock)\n";
    print "<OPTION VALUE=\"apple.com\">U.S. West Coast ";
    print "apple.com (WWV clock)\n";
    print "<OPTION VALUE=\"clepsydra.dec.com\">U.S. West Coast ";
    print "clepsydra.dec.com (GOES clock)\n";
    print "<OPTION VALUE=\"clock.llnl.gov\">U.S. West Coast ";
    print "clock.llnl.gov (WWVB clock)\n";
    print "<OPTION VALUE=\"ncar.ucar.edu\">U.S. Midwest ";
    print "ncar.ucar.edu (WWVB clock)\n";
    print "<OPTION VALUE=\"chantry.hawaii.net\">U.S. Pacific ";
    print "chantry.hawaii.net (WWV/H clock)\n";
    print "<OPTION VALUE=\"shorty.chpc.utexas.edu\">U.S. Southwest ";
    print "shorty.chpc.utexas.edu (WWV clock)\n";
    print "<OPTION VALUE=\"other\">Other, Select a site not on this list\n";
    print "</SELECT></TD>\n";

    print "<TD><INPUT TYPE=\"20\" NAME=\"host\"></TD></TR>\n";
  }

if ($AssocArray{'xntpdflags'} =~ /NO/) {

  print "<TR><TD></TD><TD><INPUT TYPE=\"CHECKBOX\" NAME=\"xntpd\" ";
  print "> Run xntpd daemon</TD>";
} else {

    print "<TR><TD></TD><TD><INPUT TYPE=\"CHECKBOX\" NAME=\"xntpd\" ";
    print "CHECKED> Run xntpd daemon</TD>";
}

if (length($AssocArray{'xntpdflags'}) == 0) {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"flags\" VALUE=\" \" ";
  print "CHECKED> No switches</TD></TR>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"flags\" VALUE=\" \"> ";
    print "No switches</TD></TR>\n";
  }

if ($AssocArray{'xntpdflags'} eq "-b") {
       
  print "<TR><TD></TD><TD></TD><TD><INPUT TYPE=\"RADIO\" NAME=";
  print "\"flags\" VALUE=\"-b\" CHECKED> listen for broadcast NTP</TD>";
  print "</TR>\n";
} else {

    print "<TR><TD></TD><TD></TD><TD><INPUT TYPE=\"RADIO\" NAME=";
    print "\"flags\" VALUE=\"-b\"> listen for broadcast NTP";
    print "</TD></TR>\n";
  }

if ($AssocArray{'xntpdflags'} eq "-m") {

  print "<TR><TD></TD><TD></TD><TD><INPUT TYPE=\"RADIO\" NAME=";
  print "\"flags\" VALUE=\"-m\" CHECKED> listen for multicast NTP";
  print "</TD></TR>\n";
} else {

    print "<TR><TD></TD><TD></TD><TD><INPUT TYPE=\"RADIO\" NAME=";
    print "\"flags\" VALUE=\"-m\"> listen for multicast NTP";
    print "</TD></TR>\n";
  }

print "</TABLE></CENTER>\n";

print "<P><INPUT TYPE=\"SUBMIT\" VALUE=\"OK\">\n";
print "<INPUT TYPE=\"RESET\">\n";
print "</FORM>\n";

#
# End HTML form
#

print $form->end_html;

# synchronize.pl
