#!/usr/local/bin/perl
#
# Selected printer file
# (C) 1996 by Wouter de Boer
#
# Usage:
#    pselected.pl
#
# CGI script using CGI.pm module
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returnprintername;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the 
# Web page for this input field.
#

$Printer = $form->param('Printer');

#
# Obtain the short printer definition neccesarry for GhostScript
#

$GSName = return_short_printer_name $Printer;

#
# Obtain machine hostname
#

$HostName = hostname();

#
# Print form header
#

print $form->header;

print $form->start_html(
     -title=>"Add printer $Printer",
     -BGCOLOR=>'white');

#
# HTML body
#

#
# Heading
#

print "<FORM METHOD=\"GET\" ACTION=\"http://$HostName/FreEasy/Printer/addprint.pl\">\n";  
#
# Show all filters for the printer function. This option is not implemented.
#

#print "<center><h3>Select filters for your printer:</h3>\n";
#print "Cifplot<input type=\"RADIO\" name=\"cf\" value=\"Cifplot\">\n";
#print "<p>DVI<input type=\"RADIO\" name=\"df\" value=\"DVI\">\n";
#print "<p>Plot<input type=\"RADIO\" name=\"gf\" value=\"Plot\">\n";
#print "<p>Ditroff<input type=\"RADIO\" name=\"nf\" value=\"Ditroff\">\n";
#print "<p>FORTRAN text<input type=\"RADIO\" name=\"rf\" value=\"FORTRAN text\">\n";
#print "<p>Troff<input type=\"RADIO\" name=\"tf\" value=\"Troff\">\n";
#print "<p>Raster<input type=\"RADIO\" name=\"vf\" value=\"Raster\">\n";
#print "<hr size=2></center>\n";

#
# Show text area's where the user can type some text
#

print "<center><h3>Type printer descriptions:</h3>\n";
print "<textarea name=\"description\" rows=\"5\" columns=\"25\">\n";
print "$Printer\n";
print "</textarea>\n";
print "<p>Type one printer description on a row. Press <CODE>ENTER</CODE> ";
print "and type the next printer description.\n";
print "<h3>Spool directory:</h3>\n";
print "<input type=\"TEXT\" name=\"spool\" value=\"/var/spool/lpd/$GSName\"";
print " maxlength=\"82\" size=\"82\">\n";
print "<p>This is a suggestion, don't change it if you don't know what";
print " you are doing.\n";
print "<hr size=2></center>\n";

#
# Show a table where the user can answer Yes or No
#

print "<center><table>\n";
print "<tr><td></td><td>No</td><td>Yes</td><td></td></tr>\n";
print "<tr><td>Simulate Postscript</td>";
print "<td><input type=\"RADIO\" name=\"ps\" value=\"No\"></td>\n";
print "<td><input type=\"RADIO\" name=\"ps\" value=\"Yes\" CHECKED></td>";
print "<td></td></tr>\n";
print "<tr><td>Default Printer</td>";
print "<td><input type=\"RADIO\" name=\"def\" value=\"No\"></td>\n";
print "<td><input type=\"RADIO\" name=\"def\" value=\"Yes\" CHECKED></td>";
print "<td></td></tr>\n";
print "<tr><td>Do you want an error.log file</td>";
print "<td><input type=\"RADIO\" name=\"log\" value=\"No\"></td>\n";
print "<td><input type=\"RADIO\" name=\"log\" value=\"Yes\" CHECKED></td>";
print "<td></td></tr>\n";
print "<tr><td>Limit the size of a print job</td>";
print "<td><input type=\"RADIO\" name=\"job\" value=\"No\" CHECKED></td>\n";
print "<td><input type=\"RADIO\" name=\"job\" value=\"Yes\"></td>";
print "<td><input size=\"4\" name=\"jobsize\" maxlength=\"4\"> kBytes</td>";
print "</tr>\n";
print "</table></center>\n";

print "<P>If you want to limit the job size, type a value in kBytes. If you\n";
print " don't type a value, the default value is 1000 kBytes.\n";

print "<hr size=2>";

#
# Ask which I/O porrt should be used
#

print "<center><h3>Which I/O port:</h3>\n";

print "<table>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"lpt0\" CHECKED>";
print " LPT1 (/dev/lpt0)</td></tr>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"lpt1\">";
print " LPT2 (/dev/lpt1)</td></tr>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"cuaa0\">";
print " COM1 (/dev/cuaa0)</td></tr>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"cuaa1\">\n";
print " COM2 (/dev/cuaa1)</td></tr>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"cuaa2\">\n";
print " COM3 (/dev/cuaa2)</td></tr>\n";
print "<tr><td><input type=\"RADIO\" name=\"port\" value=\"cuaa3\">\n";
print " COM4 (/dev/cuaa3)</td></tr>\n";
print "</table></center>\n";
print "<hr size=2>\n";

#
# Send the selected printer to the next program
#

print "<input type=\"HIDDEN\" name=\"printer\" value=\"$Printer\">\n";

#
# Show the "OK" and "Reset" buttons
#

print "<input type=\"SUBMIT\" value=\"OK\">\n";
print "<input type=\"RESET\">\n";

#
# End HTML form
#

print $form->end_html;

# pselected.pl
