#!/usr/local/bin/perl
#
# Confirm to remove a group, user printer, network card
# (C) 1997 by Wouter de Boer
#
# Usage:
#    confirm.pl
#

#
# CGI script for confirm.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returnnetworkcard;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the
# Web page for this input field.
#

$UserName = $form->param('username');
$GroupName = $form->param('groupname');
$Printer = $form->param('printer');
$NetworkCard = $form->param('networkcard');

$HostName = hostname();

if ((length($UserName)) > 0) {

  #
  # Print form header
  #

  print $form->header;

  print $form->start_html(
     -title=>"Remove user $UserName",
     -BGCOLOR=>'white');

  #
  # HTML body
  #

  print "<CENTER><H1>Remove user $UserName:</H1></CENTER>\n";

  print "<CENTER><TABLE ALIGN=ABSCENTER CELLSPACING=30>\n";
  print "<TR><TD><A HREF=\"http://$HostName/FreEasy/User/removeuser.pl";
  print "?username=$UserName\"><IMG SRC=\"/FreEasy/Icons/yesbutton.gif\"";
  print " ALT=YES BORDER=0></A></TD>\n";
  print "<TD><A HREF=\"http://$HostName/FreEasy/User/user.pl\">";
  print "<IMG SRC=\"/FreEasy/Icons/nobutton.gif\" ALT=NO BORDER=0>";
  print "</A></TD></TR>\n";
  print "</TABLE></CENTER>\n";

} elsif (length($GroupName) > 0) {

    #
    # Print form header
    #

    print $form->header;

    print $form->start_html(
      -title=>"Remove group $GroupName",
      -BGCOLOR=>'white');

    #
    # HTML body
    #

    print "<CENTER><H1>Remove group $GroupName:</H1></CENTER>\n";

    print "<CENTER><TABLE ALIGN=ABSCENTER CELLSPACING=30>\n";
    print "<TR><TD><A HREF=\"http://$HostName/FreEasy/Group/removegroup.pl";
    print "?groupname=$GroupName&value=2\">";
    print "<IMG SRC=\"/FreEasy/Icons/yesbutton.gif\"";
    print " ALT=YES BORDER=0></A></TD>\n";
    print "<TD><A HREF=\"http://$HostName/FreEasy/Group/group.pl\">";
    print "<IMG SRC=\"/FreEasy/Icons/nobutton.gif\" ALT=NO BORDER=0>";
    print "</A></TD></TR>\n";
    print "</TABLE></CENTER>\n";

  } elsif (length($Printer) > 0) {

      $PrinterName = $Printer;
      $Printer =~ s/\s/\+/g;

      #
      # Print form header
      #

      print $form->header;

      print $form->start_html(
         -title=>"Remove printer $PrinterName",
         -BGCOLOR=>'white');
 
      #
      # HTML body
      #
    
      print "<CENTER><H1>Remove Printer $PrinterName:</H1></CENTER>\n";

      print "<CENTER><TABLE ALIGN=ABSCENTER CELLSPACING=30>\n";
      print "<TR><TD><A HREF=\"http://$HostName/FreEasy/Printer/premove.pl";
      print "?printer=$Printer\"><IMG SRC=\"/FreEasy/Icons/yesbutton";
      print ".gif\" ALT=YES BORDER=0></A></TD>\n";
      print "<TD><A HREF=\"http://$HostName/FreEasy/Printer/psetup.pl\">";
      print "<IMG SRC=\"/FreEasy/Icons/nobutton.gif\" ALT=NO BORDER=0>";
      print "</A></TD></TR>\n";
      print "</TABLE></CENTER>\n";

    } elsif (length($NetworkCard) > 0) {

	$NetCard = return_network_card $NetworkCard;

	#
	# Print form header
	#

	print $form->header;

	print $form->start_html(
            -title=>"Remove network card $NetCard",
            -BGCOLOR=>'white');

	#
	# HTML body
	#

	print "<CENTER><H1>Remove network card $NetCard:</H1></CENTER>\n";

	print "<CENTER><TABLE ALIGN=ABSCENTER CELLSPACING=30>\n";
	print "<TR><TD><A HREF=\"http://$HostName/FreEasy/Networking/";
	print "cardremove.pl?networkcard=$NetworkCard\">";
        print "<IMG SRC=\"/FreEasy/Icons/yesbutton.gif\"";
	print " ALT=YES BORDER=0></A></TD>\n";
	print "<TD><A HREF=\"http://$HostName/FreEasy/Networking/nsetup.pl\">";
	print "<IMG SRC=\"/FreEasy/Icons/nobutton.gif\" ALT=NO BORDER=0>";
	print "</A></TD></TR>\n";
	print "</TABLE></CENTER>\n";

     }

#
# End HTML form
#

print $form->end_html;

# confirm.pl


