#!/usr/local/bin/perl
#
# Show message of they day

#
# Copyright (c) 1998
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 

use lib '/usr/home/berend/FreEasy/lib';
use CGI;


$form = new CGI;

print $form->header;
print $form->start_html(
  -title=>'Change Message of the Day',
  -BGCOLOR=>'white');

print "<P><a href=http://www.freebsd.org/cgi/man.cgi?query=motd>Consult man page</a></P>\n";

print "<HR SIZE=\"2\">\n";

print "The file /etc/motd is normally displayed by login(1) after a user has\n";
print "logged in but before the shell is run.  It is generally used for\n";
print "important system-wide announcements.  During system startup, a line\n";
print "containing the kernel version string is prepended to this file.\n";
print "<P>Individual users may suppress the display of this file by creating\n";
print "a file named ``.hushlogin'' in their home directories.\n";

print "<FORM METHOD=\"GET\" ACTION=\"http:/FreEasy/cgi-bin/changemotd.pl\">\n";
print "<textarea name=motd cols=80 rows=15>\n";
open (FILE, "/etc/motd");
while (<FILE>) {
    print "$_";
}
close (FILE);
print "</textarea>\n";

print "<P><INPUT TYPE=\"SUBMIT\" VALUE=\"OK\">\n";
print "<INPUT TYPE=\"RESET\">\n";
print "</FORM>\n";

print $form->end_html;

# motd.pl

