package makestring;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(make_string_datetime make_string_time);

use addleadingnull;

sub make_string_datetime {

#
# Make a string of date and time
# (C) 1997 by Wouter de Boer
#
# Usage:
#    change_group_file arg1, arg2, arg3, arg4, arg5, arg6
#
#	arg1: Year
#	arg2: Month
#	arg3: Day
#	arg4: Hour
#	arg5: Min
#	arg6: Sec
#

#
# Get user properties
#

my($Year, $Month, $Day, $Hour, $Min, $Sec) = @_;

($Month, $Day, $Hour, $Min, $Sec) = add_leading_null $Month, $Day, $Hour, $Min, $Sec;

$DateString .= $Year;
$DateString .= $Month;
$DateString .= $Day;
$DateString .= $Hour;
$DateString .= $Min;
$DateString .= ".$Sec";

return $DateString;

}

sub make_string_time {

#
# Make a string of the time
# (C) 1997 by Wouter de Boer
#
# Usage:
#    change_group_file arg1, arg2, arg3
#
#	arg1: Hour
#	arg2: Min
#	arg3: Sec

my($Hour, $Min, $Sec) = @_;

($Month, $Day, $Hour, $Min, $Sec) = add_leading_null 0, 0, $Hour, $Min, $Sec;

$DateString .= $Hour;
$DateString .= $Min;
$DateString .= ".$Sec";

return $DateString;

}

# makestring.pm