package readdirentry;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(read_dir_entry);

#
# Read all entries of a directory into an array
# (C) 1997 by Wouter de Boer
#
# Usage:
#    read_dir_entry arg1
#
#	arg1: Path Name
#

sub read_dir_entry {

#
# Get PathName
#

my($PathName) = $_[0];

#
# Initialize variables
#

$ArrayCounter = 0;

#
# Open de /Setup directory for reading the entry's
#

opendir(DIR, $PathName);

#
# Read the entry's
#

$Entry = readdir(DIR);

while (length($Entry) > 0) {

    #
    # Search at the end of the string for ".cap"
    #

    if ($Entry =~ /.cap$/) {

        #
	# Open file
        #

	open(FILE, "$PathName/$Entry");

        #
	# Read first three lines from file into array
        #

	while ($Line = <FILE>) {

	    chop($Line);
	    $EntryArray[$ArrayCounter] = $Line;
	    $ArrayCounter++;
	}

        #
	# Close file
        #

	close(FILE);

    }

   #
   # Read next entry in $PathName directory
   #

   $Entry = readdir(DIR);

}

#
# Close $PathName directory
#

closedir(DIR);

return @EntryArray;

}

# readdirentry.pm






