package removelpdescription;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(remove_lp_description);

sub remove_lp_description {

#
# Remove lp description in printcap file for FreeBSD
# (C) 1997 by Wouter de Boer
#
# Usage:
#    remove_lp_description arg1
#
#	arg1: LP search pattern
#

#
# Get search pattern
#

my($LP) = $_[0];

#
# Location of files
#

$PrintcapPath = "/etc/printcap";
$NewPrintcapPath = "/etc/newprintcap";

#
# If file exists
#

if (-e $PrintcapPath) {

  #
  # Open the $PrintcapPath file for reading and
  # open the $NewPrintcapPath for writing
  #

  open (FILE, $PrintcapPath);
  open (FILE1, "> $NewPrintcapPath");

  #
  # If "lp" found remove it and write changed line
  # otherwise write unchanged line
  #

  while ($Line = <FILE>) {

    if (($Line =~ /$LP\|/) || ($Line =~ /$LP:/)) {

      $Line =~ s/$LP//;
      $Line =~ s/\|\|/\|/g;
      $Line =~ s/^\|//;
      print FILE1 "$Line";
    } else {

	print FILE1 "$Line";
      }
  }
}
	
#
# close the files
#

close (FILE);
close (FILE1);

#
# overwrite the old one
#

system("cp $NewPrintcapPath $PrintcapPath");

#
# Remove the temporary one
#

system("rm $NewPrintcapPath");

}

#removelpdescription.pm
