package removeprinter;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(remove_printer_from_file);

sub remove_printer_from_file {

#
# remove printer from printcap file
# (C) 1997 by Wouter de Boer
#
# Usage:
#    remove_printer_from_file arg1
#	arg1: Printer Name
#

use removeleadingspace;

#
# Get printer name
#

my($Printer) = $_[0];

#
# Location of files
#

$PrintcapPath = "/etc/printcap";
$NewPrintcapPath = "/etc/newprintcap";

#
# Open the $PrintcapPath file for reading and
# open the $NewPrintcapPath for writing
#

open (FILE, $PrintcapPath);
open (FILE1, "> $NewPrintcapPath");

#
# If $Printer found don't write printer settings
# when found comment or other character write line
#

while ($Line = <FILE>) {

   if (($Line =~ /# FreEasy added/) && ($Line =~ /$Printer/)) {

     $Line = <FILE>;
   }

   $Found = 0;

   if ($Line !~ /^\#/) {

     @TestArray = split(/\|/, $Line);

     $Size = scalar @TestArray;

     $LastArray = $Size - 1;

     $TestArray[$LastArray] =~ s/:\\\n$//;

     for ($Counter = 0; $Counter < $Size; $Counter++) {

        if ($TestArray[$Counter] eq $Printer) {

	  $Found = 1;
        }
     }
   }

   if ($Found == 1) {

     $Line = <FILE>;
     $Line = remove_leading_space $Line;

     while ($Line =~ /^:/) {

        $Line = <FILE>;
	$Line = remove_leading_space $Line;
     }
   } else {

       print FILE1 "$Line";
     }
}

#
# Close the file
#

close (FILE);
close (FILE1); 

#
# Overwrite the old $PrintcapPath with the modified one
#

system ("cp $NewPrintcapPath $PrintcapPath");

#
# remove the $NewPrintcapPath file
#

system ("rm $NewPrintcapPath");

}

# removeprinter.pm


