package returnfonts;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(return_fonts_name);

#
# Search all fonts names file for FreeBSB
# (C) 1997 by Wouter de Boer
#
# Usage:
#    return_fonts_name
#

sub return_fonts_name {

my($Counter8x8) = 0;
my($Counter8x14) = 0;
my($Counter8x16) = 0;

$Array8x8[$Counter8x8++] = "NO";
$Array8x14[$Counter8x14++] = "NO";
$Array8x16[$Counter8x16++] = "NO";

#
# Fonts file Path
#

$FontsMapPath = "/usr/share/syscons/fonts";

#
# Open the directory $FontsMapPath
#

opendir (DIR, $FontsMapPath);

$Entry = readdir (DIR);

#
# Read all *.fnt files into an array
#

while (length($Entry) > 0) {

  if ($Entry =~ /.fnt$/) {

    $Entry =~ s/.fnt//;

    if ($Entry =~ /8x8/) {
   
      $Array8x8[$Counter8x8++] = $Entry;
    } elsif ($Entry =~ /8x14/) {

	$Array8x14[$Counter8x14++] = $Entry;
      } elsif ($Entry =~ /8x16/) {

	  $Array8x16[$Counter8x16++] = $Entry;
	}
  }

  $Entry = readdir (DIR);
}

closedir (DIR);

my($Size8x8) = $Counter8x8;
my($Size8x14) = $Counter8x14;
my($Size8x16) = $Counter8x16;

return ($Size8x8, $Size8x14, $Size8x16, \@Array8x8, \@Array8x14, \@Array8x16);

}

# returnfonts.pm