package returnkernelname;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(return_kernel_name);

#
# Read all kernel names of a directory into an array
# (C) 1997 by Wouter de Boer
#
# Usage:
#    return_kernel_name;
#
#

$KernelPath = "/usr/src/sys/i386/conf";

sub return_kernel_name {

#
# Initialize variables
#

$ArrayCounter = 0;

#
# open the directory for reading the files
#

opendir(DIR, $KernelPath);

#
# Read the entry's
#

$Entry = readdir(DIR);

while (length($Entry) > 0) {

  #
  # Search at the end of the string for ".cap"
  #

  if (($Entry !~ /.i386$/) && ($Entry !~ /GENERIC/) && ($Entry !~ /LINT/) && (!($Entry eq ".")) && (!($Entry eq ".."))) {

    $AllKernelNames[$ArrayCounter++] = $Entry;
  }

  $Entry = readdir(DIR);
}

#
# Close $KernelPath directory
#

closedir(DIR);

return @AllKernelNames;

}

# returnkernelname.pm