package returnscrnmapname;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(return_screenmap_name);

#
# Search all screenmap names file for FreeBSB
# (C) 1997 by Wouter de Boer
#
# Usage:
#    return_screenmap_name
#

sub return_screenmap_name {

my($ArrayCounter) = 0;

$ScreenMapArray[$ArrayCounter++] = "NO";

#
# Screenmap file Path
#

$ScreenMapPath = '/usr/share/syscons/scrnmaps';

#
# Open the directory $ScreenMapPath
#

opendir (DIR, $ScreenMapPath);

$Entry = readdir (DIR);

#
# Read all *.scm files into an array
#

while (length($Entry) > 0) {

  if ($Entry =~ /.scm$/) {

    $Entry =~ s/.scm//;
    $ScreenMapArray[$ArrayCounter++] = $Entry;
  }

  $Entry = readdir (DIR);
}

closedir (DIR);

my($Size) = $ArrayCounter;

return ($Size, @ScreenMapArray);

}

# returnscrnmapname.pm
