#!/usr/local/bin/perl

#
# show list of installed packages
# Created: 1998-01-27

# Copyright (c) 1998 
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 


#
# make sure we have a secure path
$ENV{PATH} = "/sbin:/usr/sbin:/bin";


use CGI;
use POSIX;

$form = new CGI;

$pkgname = $form->param('pkgname');
$Confirm = $form->param('confirm');


if ($Confirm =~ /^yes$/i) {

    print $form->header;
    print $form->start_html(
      -title=>"Confirm removal of package $pkgname",
      -BGCOLOR=>'white');

    print "<a href=http://www.de.freebsd.org/de/cgi/man.cgi?query=pkg_remove>Consult pkg_remove man page</a> |\n";
    print "<a href=http:nph-pkg_index.pl>Add new package</a> |\n";
    print "<a href=http:show_installed_pkg.pl>Show installed packages</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/setup.pl?path=AddRemoveSoftware&title=Add/remove+software\">Add/remove software</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/start.pl>To main screen</a>\n";
    print "<br><img src=http:/FreEasy/Icons/bluebar2.gif>\n";

    print "<h1><font color=\"#660000\">Confirm removal of package $pkgname</font></h1>\n";

    print "<FORM METHOD=GET ACTION=http:removepackage.pl>\n";

    print "<p><input type=checkbox name=noscript value=\"noscript\">If a deinstallation script exists for this package, do not execute it.</p>\n";

    print "<p><input type=checkbox name=forceremove value=\"forceremove\">Force removal of the package, even if a dependency is recorded or the deinstall or require script fails.</p>\n";

    print "<input type=hidden name=pkgname VALUE=\"$pkgname\">\n";
    print "<input type=hidden name=confirm VALUE=No>\n";

    print "<INPUT TYPE=\"SUBMIT\" VALUE=\"Delete package now!\">\n";
    print "<INPUT TYPE=\"RESET\">\n";
    print "</FORM>\n";

}

else {

    # turn output buffering off;
    $| = 1;

    print $form->header;
    print $form->start_html(
      -title=>"Package $pkgname removed",
      -BGCOLOR=>'white');

    print "<a href=http:nph-pkg_index.pl>Add new package</a> |\n";
    print "<a href=http:show_installed_pkg.pl>Show installed packages</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/setup.pl?path=AddRemoveSoftware&title=Add/remove+software\">Add/remove software</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/start.pl>To main screen</a>\n";
    print "<br><img src=http:/FreEasy/Icons/bluebar2.gif>\n";

    #remove package
    $myuid = $<;
    setuid(0);
    system '/usr/sbin/pkg_delete', "$pkgname";
    setuid($myuid);

    print "<center><h1>Package $pkgname has been removed from your system.</h2>\n";

}



