#!/usr/local/bin/perl
#
# Display screensaver settings
# (C) 1997 by Wouter de Boer
#
# Usage:
#    scrnsaver.pl
#

#
# CGI script for scrnsaver.pl
#

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use access_rcconf;

$form = new CGI;

#
# Variables used in this program
#

%vars = ();


#
# get  /etc/rcconfs vars
#

(%vars) = rcconf_get_some_vars('saver', 'blanktime');

# default for blanktime is 600s
if ($vars{'blanktime'} =~ /\D/) {
  $vars{'blanktime'} = 600;
}

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>'Set FreeBSD console screen saver',
   -BGCOLOR=>'white');

#
# HTML body
#

print "<FORM METHOD=\"GET\" ACTION=\"http:changescrnsaver.pl\">\n";

#
# Heading
#

print "<P>Note: this screen allows you to set a screen saver for FreeBSD\n";
print "text consoles. This screen saver has no effect within X.\n";
print "If you want a screen saver within X Window, take a look at xload\n";
print "for example.\n";

print "<CENTER>\n";
print "<H3>Select the screensaver you would like to use:</H3>\n";

print "<TABLE>\n";
print "<TR>\n";

if ($vars{'saver'} eq 'blank') {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"blank\" CHECKED>";
  print " Blank</TD>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"blank\">";
    print " Blank</TD>\n";
}
 
if ($vars{'saver'} eq 'green') {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"green\" CHECKED>";
  print " Green</TD>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"green\">";
    print " Green</TD>\n";
}

if ($vars{'saver'} eq "snake") {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"snake\" CHECKED>";
  print " Snake</TD>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"snake\">";
    print " Snake</TD>\n";
}

if ($vars{'saver'} eq "star") {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"star\" CHECKED>";
  print " Star</TD>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"star\">";
    print " Star</TD>\n";
}

if ($vars{'saver'} =~ /NO/) {

  print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"NO\" CHECKED>";
  print " No screensaver</TD>\n";
} else {

    print "<TD><INPUT TYPE=\"RADIO\" NAME=\"saver\" VALUE=\"NO\">";
    print " No screensaver</TD>\n";
}

print "</TR>\n";
print "</TABLE>\n";

print "<H3>Time system needs to be idle before screensaver starts: </H3>\n";

print "<INPUT SIZE=\"10\" NAME=\"blanktime\" MAXLENGTH=\"10\" ";
print "VALUE=$vars{'blanktime'}> seconds\n";

print "<P><INPUT TYPE=\"SUBMIT\" VALUE=\"OK\">\n";
print "<INPUT TYPE=\"RESET\">\n";

print "</FORM>\n";

#
# End HTML form
#

print $form->end_html;

# scrnsaver.pl
