#!/usr/local/bin/perl
#
# Change the date and timezone 
# (C) 1997 by Wouter de Boer
#
# Usage:
#    changedate.pl
#

#
# CGI script for changedate.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use makestring;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the
# Web page for this input field.
#

$Hour = $form->param('hour');
$Min = $form->param('min');
$Sec = $form->param('sec');
$Day = $form->param('day');
$Month = $form->param('month');
$Year = $form->param('year');

$HostName = hostname();

#
# Correct the $Year 
#
  
if ($Year =~ /^19/) {

  $Year -= 1900;
}

#
# Change the time if $Hour, $Min and $Sec > 0 and
# if the input is characters from 0 - 9
#

if ((length($Hour) > 0) && (length($Min) > 0) && (length($Sec) > 0) && ($Hour !~ /\D/) && ($Min !~ /\D/) && ($Sec !~ /\D/) && ((0 >= $Hour) && ($Hour < 24)) && ((0 >= $Min) && ($Min < 60)) && ((0 >= $Sec) && ($Min < 60))) {

  if ((length($Day) > 0) && (length($Month) > 0) && (length($Year) > 0) && ($Day !~ /\D/) && ($Month !~ /\D/) && ($Year !~ /\D/) && ((0 > $Day) && ($Day < 32)) && ((0 > $Month) && ($Month < 13))) {

    #
    # User entered a new time and date
    #

    $CheckCode = 1;
   
    $DateString = make_string_datetime $Year, $Month, $Day, $Hour, $Min, $Sec;

    print "$DateString\n";

    system ("date $DateString");
  } else { 
  
      #
      # User entered only a new time
      #

      $DateString = make_string_time $Hour, $Min, $Sec;

      system("date $DateString");
      $CheckCode = 2;
    }
} elsif ((length($Day) > 0) && (length($Month) > 0) && (length($Year) > 0) && ($Day !~ /\D/) && ($Month !~ /\D/) && ($Year !~ /\D/) && ((0 > $Day) && ($Day < 32)) && ((0 > $Month) && ($Month < 13))) {

    #
    # User entered only a new date
    #

    #
    # However the command date wants also a time, so obtain the local time
    #

    ($sec, $min, $hour, $dom, $mon, $year, $wday, $yday, $isdst) = localtime(time);

    $DateString = make_string_datetime $Year, $Month, $Day, $hour, $min, $sec;

    system("date $DateString");
    $CheckCode = 3;
  } else {

      $CheckCode = 4;
    }

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>'Date/Time changed',
   -BGCOLOR=>'white');

#
# HTML body
#

#
# Heading
#

if ($CheckCode == 1) {

  print "<CENTER><H3>Time and date are changed.</H3>\n";
} elsif ($CheckCode == 2) {

    print "<CENTER><H3>Only the time is changed.</H3>\n";
  } elsif ($CheckCode == 3) {

      print "<CENTER><H3>Only the date is changed.</H3>\n";
    } elsif ($CheckCode == 4) {

	print "<CENTER><H3>No date/time changes are made.</H3>\n";
      }

print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/setup.pl?path=Setup";
print "&title=Setup+your+System\">\n";
print "<IMG SRC=\"/FreEasy/Icons/setupbutton.gif\" ALT=\"BACK TO SETUP";
print " SCREEN\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# changedate.pl
