#!/usr/local/bin/perl
#
# Select a country for the timezone
# (C) 1997 by Wouter de Boer
#
# Usage:
#    country.pl
#

#
# CGI script for country.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returntimezonename;

$form = new CGI;

#
# Obtain the hostname
#

$HostName = hostname();

#
# Obtain current timezone 
#

$TimeZone = return_current_timezone;

#
# Print form header
#

print $form->header;

print $form->start_html(
    -title=>'Select Country',
    -BGCOLOR=>'white');

#
# HTML body
#

print "<FORM METHOD=\"GET\" ACTION=\"http://$HostName/FreEasy/Date-Time/timezone.pl\">\n";

#
# Heading
#

print "<CENTER>\n";

print "<H3>Current timezone: $TimeZone Timezone.</H3>\n";

print "<P><H1>Select your Country:</H1></P>\n";

print "<P><SELECT NAME=\"country\">\n";
print "<OPTION>Africa\n";
print "<OPTION>America\n";
print "<OPTION>Asia\n";
print "<OPTION>Atlantic\n";
print "<OPTION>Australia\n";
print "<OPTION>Europe\n";
print "<OPTION>Indian\n";
print "<OPTION>Pacific\n";
print "</SELECT></P>\n";

print "On the next page you can choose the place which belongs to your country.\n";

print "<P>\n";
print "<INPUT TYPE=\"SUBMIT\" VALUE=\"OK\">\n";
print "<INPUT TYPE=\"RESET\">\n";
print "</P>\n";

print "</CENTER>\n";

print "</FORM>\n";

#
# End HTML form
#

print $form->end_html;

# country.pl
