#!/usr/local/bin/perl
#
# Time synchronized with other Computers
# (C) 1997 by Wouter de Boer
#
# Usage:
#    synchronized.pl
#

#
# CGI script for synchronized.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use changesysconfigfile;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the
# Web page for this input field.
#

$Host = $form->param('host');
$Synchronize = $form->param('synchronize');
$XNTPD = $form->param('xntpd');
$Flags = $form->param('flags');
$PreDefinedServer = $form->param('predefinedserver');

$HostName = hostname();

$AssocArray{'xntpdflags'} = "NO";
$AssocArray{'ntpdate'} = "NO";

#
# If time must sycnhronized with other computer
#

if ($Synchronize eq "Yes") {

  if ($PreDefinedServer ne "other") {

      $AssocArray{'ntpdate'} = $PreDefinedServer;
  } else {

      $AssocArray{'ntpdate'} = $Host;
    }

  if (($XNTPD eq "on") && (length($Flags) > 0)) {

    $AssocArray{'xntpdflags'} = $Flags;
  }
}

change_sysconfig_file %AssocArray;

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>'Time Synchronized',
   -BGCOLOR=>'white');

#
# HTML body
#

#
# Heading
#

print "<CENTER>\n";

if ($Synchronize eq "Yes") {

  if ($PreDefinedServer ne "other") {

    print "<H3>The time of this computer will synchroniozed with ";
    print "$PreDefinedServer</H3>\n";
  } else {

      print "<H3>The time of this computer will synchroniozed with ";
      print "$Host</H3>\n";
    }

  if (($XNTPD eq "on") && (length($Flags) > 0)) {

    print "<H3>The time of this computer will agree with Internet standard";
    print "time servers.</H3>\n";
  }
} else {

    print "<H3>No time synchronization.</H3>\n";
  }

print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http://$HostName/FreEasy/Date-Time/date-time.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/datebutton.gif\" ALT=\"BACK TO ";
print "DATE-TIME MENU\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# synchronized.pl
