#!/usr/local/bin/perl
#
# Change the timezone file for FreeBSB
# (C) 1997 by Wouter de Boer
#
# Usage:
#    timezone.pl
#

#
# CGI script for timezone.pl
#

use POSIX;
use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returntimezonename;

$form = new CGI;

#
# Set variables for this progam
#

$Country = $form->param('country');
$Columns = 5;

$HostName = hostname();

#
# Obtain all timezone information
#

if ($Country ne "None" ) {
  
  @TimeZone = return_timezone_names $Country;

  #
  # Obtain the size of the array
  #

  $Size = scalar @TimeZone;

  #
  # Calculate rows
  #

  $Rows = ceil ($Size / $Columns);
}

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>'Change the Timezone',
   -BGCOLOR=>'white');

#print "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"1; URL=date-time.pl\">\n";

#
# HTML body
#

print "<FORM METHOD=\"GET\" ACTION=\"http://$HostName/FreEasy/Date-Time/changetimezone.pl\">\n";

#
# Heading
#

print "<H3>Select a timezone:</H3>\n";
print "<CENTER><TABLE CELLSPACING = \"10\">\n";

for ($RowCounter = 0; $RowCounter < $Rows; $RowCounter++) {

   if (($Size - ($RowCounter * $Columns)) < $Columns) {
     $Columns -= abs($Size - ($Rows * $Columns));
   }

   print "<TR>\n";
   for ($ColumnCounter = 0; $ColumnCounter < $Columns; $ColumnCounter++, $ArrayCounter++) {

      print "<TD><INPUT TYPE=\"RADIO\"";
      print "NAME=\"place\" VALUE=@TimeZone[$ArrayCounter]>";
      print " @TimeZone[$ArrayCounter]</TD>\n";
   }

   print "</TR>\n";
}

print "</TABLE></CENTER>\n";

print "<INPUT TYPE=\"hidden\" NAME=\"country\" VALUE=$Country>\n";

print "<P><INPUT TYPE=\"SUBMIT\" VALUE=\"OK\">\n";
print "<INPUT TYPE=\"RESET\">\n";
print "</FORM>\n";

#
# End HTML form
#

print $form->end_html;

# timezone.pl
