#!/usr/local/bin/perl
#
# Remove a printer from the system
# (C) 1997 by Wouter de Boer
#
# Usage:
#    premove.pl
#

#
# CGI script for premove.pl
#

use Sys::Hostname;

use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use returnprintersettings;
use removeprinter;
use removefile;

$form = new CGI;

#
# Extract value of all added text and buttons
# The name  must  match the name in the
# Web page for this input field.
#

$Printer = $form->param('printer');

#
# Obtain machine hostname
#

$HostName = hostname();

#
# Obtain all orginal printer settigs
#

($OrgDescription, $OrgLP, $OrgIOPort, $OrgSpoolPath, $OrgPS, $OrgLog, $OrgJob, $OrgRemoteName, $OrgRemotePrinter, $OrgInputFilterPath, $OrgLogFilePath) = return_printer_settings $Printer;

#
# Remove printer 
#

remove_printer_from_file $Printer;

#
# Remove some files
#

remove_file $OrgInputFilterPath;
remove_file $OrgLogFilePath;

if (($OrgSpoolPath ne "/var/spool/lpd") && ($OrgSpoolPath ne "/var/spool/lpd/")) {

  system ("rm -r $OrgSpoolPath");
}

#
# Print form header
#

print $form->header;

print $form->start_html(
   -title=>"Remove Printer $Printer",
   -BGCOLOR=>'white');

#
# HTML body
#

print "<H1>Printer $Printer has been succesfully removed from your ";
print "system.</H1>\n";

print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http://$HostName/FreEasy/cgi-bin/setup.pl?path=Setup";
print "&title=Setup+your+System\">\n";
print "<IMG SRC=\"/FreEasy/Icons/setupbutton.gif\" ALT=\"BACK TO SETUP ";
print "SCREEN\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# premove.pl
