#!/usr/local/bin/perl
#
# Remove user 

#
# Copyright (c) 1997 
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 


use lib '/usr/home/berend/FreEasy/lib';
use CGI;
use access_passwd;


#
# make sure we have a secure path
$ENV{PATH} = "/sbin:/usr/sbin:/usr/bin";


$form = new CGI;


$UserName = $form->param('username');
$Confirm = $form->param('confirm');


if ($Confirm =~ /^yes$/i) {

    %properties = ();
    (%properties) = get_local_user_properties($UserName);

    print $form->header;
    print $form->start_html(
      -title=>"Confirm removal of user $UserName",
      -BGCOLOR=>'white');

    print "<a href=http:userproperties.pl>Add local user</a> |\n";
    print "<a href=http:user.pl>Show local users</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/setup.pl?path=Administration&title=Administer+your+System>To admin screen</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/start.pl>To main screen</a>\n";
    print "<HR SIZE=\"2\">\n";

    print "<h2>Confirm removal of user $properties{'fullname'}</h2>\n";
    print "<FORM METHOD=\"GET\" ACTION=http:removeuser.pl>\n";

    print "<p><input type=checkbox name=removehomedir value=\"Yes\">Remove user's home directory $properties{'homedir'} also\n";
    print "<p>Note: a user's home directory is only removed in the following cases:<br>\n";
    print "Firstly, the home directory is not removed if the uid of the ";
    print "account being removed is also used by another account on the ";
    print "system, and the 'home' directory in the password file is a valid ";
    print "path that commences with the character `/'.<br>\n";
    print "Secondly, it will ";
    print "only remove files and directories that are actually owned by the ";
    print "user, or symbolic links owned by anyone under the user's home ";
    print "directory.\n";
    print "Finally, after deleting all contents owned by the ";
    print "user only empty directories will be removed.  If any additional ";
    print "cleanup work is required, this is left to the administrator.</p>\n";

    print "<input type=hidden name=username VALUE=\"$UserName\">\n";
    print "<input type=hidden name=confirm VALUE=No>\n";

    print "<INPUT TYPE=\"SUBMIT\" VALUE=\"Remove user now!\">\n";
    print "<INPUT TYPE=\"RESET\">\n";
    print "</FORM>\n";


}

else {

    print $form->header;
    print $form->start_html(
      -title=>"User $UserName removed",
      -BGCOLOR=>'white');

    print "<a href=http:userproperties.pl>Add local user</a> |\n";
    print "<a href=http:user.pl>Show local users</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/setup.pl?path=Administration&title=Administer+your+System>To admin screen</a> |\n";
    print "<a href=http:/FreEasy/cgi-bin/start.pl>To main screen</a>\n";
    print "<HR SIZE=\"2\">\n";

    remove_local_user($UserName, $form->param('removehomedir'));

    print "<CENTER><H2>User $UserName has been removed from your system.</H2>\n";

}



print "<CENTER><TABLE>\n";

print "<TR><TD><A HREF=\"http:/FreEasy/cgi-bin/start.pl\">\n";
print "<IMG SRC=\"/FreEasy/Icons/mainbutton.gif\" ALT=\"BACK TO MAIN ";
print "PROGRAM\" BORDER=0></A></TD>\n";
print "<TD><A HREF=\"http:/FreEasy/cgi-bin/setup.pl?path=";
print "Administration&title=Administer+your+System\">\n";
print "<IMG SRC=\"/FreEasy/Icons/adminbutton.gif\" ALT=\"BACK TO ";
print "ADMINISTRATION SCREEN\" BORDER=0></A></TD>\n";

print "</TABLE></CENTER>\n";

#
# End HTML form
#

print $form->end_html;

# removeuser.pl
