#!/usr/local/bin/perl
#
# Show every local user

#
# Copyright (c) 1997 
#      Brothers de Boer.  All rights reserved.
#  
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    verbatim and that no modifications are made prior to this
#    point in the file.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY Brothers de Boer ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL WOUTER DE BOER OR BEREND DE BOER OR ANY
# OTHER OF THEIR BROTHERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, LIFE 
# OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 


use lib '/usr/src/FreEasy/lib';
use CGI;
use access_passwd;

$form = new CGI;

#
# Set variables for this progam
#
(@users) = get_all_local_users;


#
# Print form header
#

print $form->header;
print $form->start_html(
   -title=>'Local users',
   -BGCOLOR=>'white');

#
# HTML body
#
$maxcol = 6;
print "<table border=0 cellpadding=1 cellspacing=30>\n";
print "<tr>\n";

# the adduser icon
@nextrow = ();
print "<td align=center valign=top><a href=userproperties.pl>\n";
print "<img src=\"/FreEasy/Icons/adduser.gif\" ALT=\"Add a local user\" border=0></a></td>";
push(@nextrow, "<td><p><a href=\"http:userproperties.pl\">add local user</a></p></td>\n");

# all other icons
$col = 1;
foreach $user (@users) {
    print "<td align=center valign=top><a href=\"http:/FreEasy/User/userproperties.pl?username=$user\">\n";
    print "<img src=\"http:/FreEasy/Icons/";
    if ( ($user eq 'root') || ($user eq 'toor') ) {
	print "root.gif";
    }
    elsif ($user eq 'daemon') {
	print "littlelogo.gif";
    }
    else {
	print "user.gif";
    }
    print "\" alt=\"Modify $user\" border=0></a></td>\n"; 
    push(@nextrow, "<td align=center valign=top><p><a href=\"http:userproperties.pl?username=$user\">$user</a></p></td>\n");
    $col++;
    if ($col == $maxcol) {
	$col = 0;
	print "</tr>\n";
	print $form->Tr(@nextrow);
	@nextrow = ();
	print "<tr>\n";
    }
}

print "</tr>\n";
if (scalar(@nextrow) > 0) {
    print $form->Tr(@nextrow);
}
print "</table>\n";

#
# End HTML form
#

print $form->end_html;

# user.pl
