#!/usr/local/bin/perl

# update the +CONTENTS file created by pkg_create
# we remove MD5 checksums for files we don't want
# to be checked (.pl and .pm files).
# also we remove the @dirrm . argument
# as I don't seem to be able to exclude it from the
# install script

$filename = "./+CONTENTS";
$tmpfilename = "$filename.new";

open(FILE, "$filename");
open(NEWFILE, "> $tmpfilename");
while (<FILE>) {
    if ($_ !~ /\@dirrm\s\.\s*$/) {
	print NEWFILE $_;
    }
    if ( ($_ =~ /\.(pl|pm)\s*$/) && 
	 ($_ !~ /install\//) ) {
	$NextLine = <FILE>;
	if ($NextLine !~ /^\@comment/) {
	    print NEWFILE $NextLine;
	}
    }
}
close(NEWFILE);
close(FILE);

rename $filename, "$filename.bak";
rename $tmpfilename, $filename;
