#
# wrapper around access_var_file, this one is especially for rc.conf
#
# Created: 1998-01-23 by Berend
#

package access_rcconf;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(rcconf_get_all_vars rcconf_get_some_vars rcconf_change_vars);


use lib '/home/berend/FreEasy/lib/';
use access_var_file;


sub rcconf_get_all_vars
{

  my %vars = ();
  (%vars) = get_all_vars('/etc/rc.conf');
  return %vars;

}


sub rcconf_get_some_vars
{

  my %vars = ();
  (%vars) = get_some_vars('/etc/rc.conf', @_);
  return %vars;


}


sub rcconf_change_vars
{

  my $modified = ();
  my %oldvars = ();
  ($modified, %oldvars) = change_vars('/etc/rc.conf', @_);
  return ($modified, %oldvars);

}


1;
# access_rcconf.pm

