package addleadingnull;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(add_leading_null);

#
# Search ID file for FreeBSB
# (C) 1997 by Wouter de Boer
#
# Usage:
#    add_leading_null ar1, arg2, arg3, arg4, arg5
#
#	arg1: Month;
#	arg2: Day;
#	arg3: Hour
#	arg4: Minute
#	arg5: Seconds
#

sub add_leading_null {

my($Month, $Day, $Hour, $Min, $Sec) = @_;

#
# Look if the length of all variables if 1, if so then add a null before
# the number of the variable
#

$LeadingNull = 0;

if (length($Month) == 1) {

  $Temp = $LeadingNull;
  $Temp .= $Month;
  $Month = $Temp;

}

if (length($Day) == 1) {

  $Temp = $LeadingNull;
  $Temp .= $Day;
  $Day = $Temp;

}

if (length($Hour) == 1) {

  $Temp = $LeadingNull;
  $Temp .= $Hour;
  $Hour = $Temp;

}

if (length($Min) == 1) {

  $Temp = $LeadingNull;
  $Temp .= $Min;
  $Min = $Temp;

}

if (length($Sec) == 1) {

  $Temp = $LeadingNull;
  $Temp .= $Sec;
  $Sec = $Temp;

}

if (length($Sec) == 0) {

  $Sec = "00";
}

#
# Return with new values
#

return $Month, $Day, $Hour, $Min, $Sec;

}

# addleadingnull.pm