package changefile;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(change_file);

#
# Change the word KERNEL in two files (compile and install) to the
# kernel which must installed or compiled
# (C) 1997 by Wouter de Boer
#
# Usage:
#    change_file arg1, arg2
#
#	arg1: Kernel Name
#	arg2: File Name
#	arg3: Current Path
#

sub change_file {

my($KernelName, $FileName, $Path) = @_;

open (FILE, $FileName);
open (FILE1, "> new$FileName");

while ($Line = <FILE>) {

  if ($Line =~ /KERNEL/) {

    $Line =~ s/KERNEL/$KernelName/;

    print FILE1 "$Line";

  } elsif ($Line =~ /DIR/) {

      $Line =~ s/DIR/$Path/;

      print FILE1 "$Line";

    } else {

        print FILE1 "$Line";

      }
}

#
# Close both files
#

close (FILE);
close (FILE1);

system ("chmod +x $Path/new$FileName");
system ("chown root.wheel $Path/new$FileName");

}

# changefile.pm
