package information;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(disk_info sys_info);

use removeleadingspace;

#
# Information about disk capacity and system
# (C) 1997 by Wouter de Boer
#
# Usage:
#    disk_info
#
#    sys_info
#

sub disk_info {

@DiskArray = `df -t local`;

$DiskSize = scalar @DiskArray;

for ($ArrayCounter = 1; $ArrayCounter < $DiskSize; $ArrayCounter++) {

  local(@TempArray) = split (/ /, $DiskArray[$ArrayCounter]);
  local($TempSize) = scalar @TempArray;
  for ($TempCounter = $Counter = 0; $TempCounter < $TempSize; $TempCounter++) {

     if (length($TempArray[$TempCounter]) > 0 ) {

       $TempArray1[$Counter++] = $TempArray[$TempCounter];
     }
  }
  $Percent[$ArrayCounter] = $TempArray1[4];
  $Mounted[$ArrayCounter] = $TempArray1[5];
  chop ($Mounted[$ArrayCounter]);
}

return ($DiskSize, \@Percent, \@Mounted);

}

sub sys_info {

$UptimeString = `uptime`;

$UptimeString = remove_leading_space $UptimeString;

@UptimeArray = split(/\s+/, $UptimeString);

my($Time) = $UptimeArray[0];

$SizeUptimeArray = scalar @UptimeArray;

for ($ArrayCounter = 0; $ArrayCounter < $SizeUptimeArray; $ArrayCounter++) {

  if ($UptimeArray[$ArrayCounter] =~ /user/) {

    $UserPoint = $ArrayCounter;
  }

  if ($UptimeArray[$ArrayCounter] =~ /averages/) {

    $LoadPoint = $ArrayCounter;
  }
}

$UpEndPoint = $UserPoint - 2;

my($Up) = $UptimeArray[2];

for ($ArrayCounter = 3; $ArrayCounter <= $UpEndPoint; $ArrayCounter++) {

  $Up .= " $UptimeArray[$ArrayCounter]";
}

$Up = remove_leading_space $Up;
$Up =~ s/,//g;
my($Users) = $UptimeArray[--$UserPoint];
$Users = remove_leading_space $Users;
my($Load1) = $UptimeArray[++$LoadPoint];
$Load1 =~ s/,$//;
$Load1 = remove_leading_space $Load1;
my($Load5) = $UptimeArray[++$LoadPoint];
$Load5 =~ s/,$//;
$Load5 = remove_leading_space $Load5;
my($Load15) = $UptimeArray[++$LoadPoint];
$Load15 = remove_leading_space $Load15;

return $Time, $Up, $Users, $Load1, $Load5, $Load15;

}

# information.pm
