package returnnetworkcardnames;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(return_network_card_names);

sub return_network_card_names {

use returnnetworkcard;

#
# return the names of the network card if the
# input is a short network name
# (C) 1997 by Wouter de Boer
#
# Usage:
#    return_network_card_names arg1, arg2
#
#	arg1: Size of the array
#	arg2: Network card array
#

local($Size, @Card) = @_;

for ($ArrayCounter = 0; $ArrayCounter < $Size; $ArrayCounter++) {

   $AllNetworkCards[$ArrayCounter] = return_network_card $Card[$ArrayCounter];
}

return @AllNetworkCards;

}

# returnnetworkcardnames.pm